	.file	"async-sigs.c"
	.section	.debug_abbrev,"",@progbits
.Ldebug_abbrev0:
	.section	.debug_info,"",@progbits
.Ldebug_info0:
	.section	.debug_line,"",@progbits
.Ldebug_line0:
	.text
.Ltext0:
	.cfi_sections	.debug_frame
	.section	.rodata
	.align 4
	.type	bip, @object
	.size	bip, 8
bip:
	.long	0
	.long	200000000
	.text
	.type	handler, @function
handler:
.LFB0:
	.file 1 "async-sigs.c"
	.loc 1 22 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	.loc 1 23 0
	popl	%ebp
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE0:
	.size	handler, .-handler
	.section	.rodata
.LC0:
	.string	"killer/vfork"
.LC1:
	.string	"-%d"
.LC2:
	.string	"%d"
.LC3:
	.string	"kill"
.LC4:
	.string	"/bin/kill"
.LC5:
	.string	"exec failed"
.LC6:
	.string	"kill/waitpid"
.LC7:
	.string	"exit"
.LC8:
	.string	"signal"
.LC9:
	.string	"kill %d failed status=%s %d\n"
	.text
	.type	do_kill, @function
do_kill:
.LFB1:
	.loc 1 29 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	pushl	%ebx
	subl	$116, %esp
	.loc 1 34 0
	.cfi_offset 3, -12
	call	vfork
	movl	%eax, -16(%ebp)
	.loc 1 35 0
	cmpl	$-1, -16(%ebp)
	jne	.L4
	.loc 1 36 0
	movl	$.LC0, (%esp)
	call	perror
	.loc 1 37 0
	movl	$1, (%esp)
	call	exit
.L4:
	.loc 1 41 0
	cmpl	$0, -16(%ebp)
	jne	.L5
.LBB2:
	.loc 1 44 0
	movl	$.LC1, %eax
	movl	12(%ebp), %edx
	movl	%edx, 8(%esp)
	movl	%eax, 4(%esp)
	leal	-64(%ebp), %eax
	movl	%eax, (%esp)
	call	sprintf
	.loc 1 45 0
	movl	$.LC2, %eax
	movl	8(%ebp), %edx
	movl	%edx, 8(%esp)
	movl	%eax, 4(%esp)
	leal	-84(%ebp), %eax
	movl	%eax, (%esp)
	call	sprintf
	.loc 1 46 0
	movl	$0, 16(%esp)
	leal	-84(%ebp), %eax
	movl	%eax, 12(%esp)
	leal	-64(%ebp), %eax
	movl	%eax, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC4, (%esp)
	call	execl
	.loc 1 47 0
	movl	$.LC5, (%esp)
	call	perror
	.loc 1 48 0
	movl	$1, (%esp)
	call	exit
.L5:
.LBE2:
	.loc 1 53 0
	movl	$0, 8(%esp)
	leal	-44(%ebp), %eax
	movl	%eax, 4(%esp)
	movl	-16(%ebp), %eax
	movl	%eax, (%esp)
	call	waitpid
	movl	%eax, -12(%ebp)
	.loc 1 54 0
	cmpl	$-1, -12(%ebp)
	jne	.L6
	call	__errno_location
	movl	(%eax), %eax
	cmpl	$4, %eax
	je	.L5
.L6:
	.loc 1 56 0
	movl	-12(%ebp), %eax
	cmpl	-16(%ebp), %eax
	je	.L7
	.loc 1 57 0
	movl	$.LC6, (%esp)
	call	perror
	.loc 1 58 0
	movl	$1, (%esp)
	call	exit
.L7:
	.loc 1 61 0
	movl	-44(%ebp), %eax
	movl	$0, -40(%ebp)
	movl	%eax, -40(%ebp)
	movl	-40(%ebp), %eax
	andl	$127, %eax
	testl	%eax, %eax
	jne	.L8
	movl	-44(%ebp), %eax
	movl	$0, -36(%ebp)
	movl	%eax, -36(%ebp)
	movl	-36(%ebp), %eax
	andl	$65280, %eax
	sarl	$8, %eax
	testl	%eax, %eax
	je	.L14
.L8:
.LBB3:
	.loc 1 64 0
	movl	-44(%ebp), %eax
	movl	$0, -32(%ebp)
	movl	%eax, -32(%ebp)
	movl	-32(%ebp), %eax
	andl	$127, %eax
	.loc 1 62 0
	testl	%eax, %eax
	jne	.L10
	.loc 1 64 0
	movl	-44(%ebp), %eax
	movl	$0, -28(%ebp)
	movl	%eax, -28(%ebp)
	movl	-28(%ebp), %eax
	andl	$65280, %eax
	.loc 1 62 0
	movl	%eax, %edx
	sarl	$8, %edx
	jmp	.L11
.L10:
	.loc 1 64 0
	movl	-44(%ebp), %eax
	movl	$0, -24(%ebp)
	movl	%eax, -24(%ebp)
	movl	-24(%ebp), %eax
	.loc 1 62 0
	movl	%eax, %edx
	andl	$127, %edx
.L11:
	.loc 1 63 0
	movl	-44(%ebp), %eax
	movl	$0, -20(%ebp)
	movl	%eax, -20(%ebp)
	movl	-20(%ebp), %eax
	andl	$127, %eax
	.loc 1 62 0
	testl	%eax, %eax
	jne	.L12
	movl	$.LC7, %eax
	jmp	.L13
.L12:
	movl	$.LC8, %eax
.L13:
	movl	$.LC9, %ebx
	movl	stderr, %ecx
	movl	%edx, 16(%esp)
	movl	%eax, 12(%esp)
	movl	-16(%ebp), %eax
	movl	%eax, 8(%esp)
	movl	%ebx, 4(%esp)
	movl	%ecx, (%esp)
	call	fprintf
	.loc 1 65 0
	movl	$1, (%esp)
	call	exit
.L14:
.LBE3:
	.loc 1 67 0
	addl	$116, %esp
	popl	%ebx
	.cfi_restore 3
	popl	%ebp
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE1:
	.size	do_kill, .-do_kill
	.section	.rodata
	.align 4
.LC10:
	.string	"testing: blocking=%d caught=%d fatal=%d... "
.LC11:
	.string	"fork"
.LC12:
	.string	"FAILED: waitpid failed: %s\n"
	.align 4
.LC13:
	.string	"FAILED: child exited with unexpected status %s %d\n"
.LC14:
	.string	"PASSED\n"
	.text
	.type	test, @function
test:
.LFB2:
	.loc 1 70 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	pushl	%ebx
	subl	$84, %esp
	.loc 1 75 0
	movl	$.LC10, %edx
	movl	stderr, %eax
	movl	16(%ebp), %ecx
	movl	%ecx, 16(%esp)
	movl	12(%ebp), %ecx
	movl	%ecx, 12(%esp)
	movl	8(%ebp), %ecx
	movl	%ecx, 8(%esp)
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	.cfi_offset 3, -12
	call	fprintf
	.loc 1 78 0
	call	fork
	movl	%eax, -16(%ebp)
	.loc 1 79 0
	cmpl	$-1, -16(%ebp)
	jne	.L16
	.loc 1 80 0
	movl	$.LC11, (%esp)
	call	perror
	.loc 1 81 0
	movl	$1, (%esp)
	call	exit
.L16:
	.loc 1 89 0
	cmpl	$0, -16(%ebp)
	jne	.L17
	.loc 1 90 0
	movl	$handler, 4(%esp)
	movl	12(%ebp), %eax
	movl	%eax, (%esp)
	call	signal
	.loc 1 91 0
	movl	$10, (%esp)
	call	alarm
	jmp	.L19
.L31:
	.loc 1 97 0
	nop
.L19:
	.loc 1 94 0
	cmpl	$0, 8(%ebp)
	je	.L31
	.loc 1 95 0
	call	pause
	.loc 1 97 0
	jmp	.L19
.L17:
	.loc 1 100 0
	movl	$0, 4(%esp)
	movl	$bip, (%esp)
	call	nanosleep
	.loc 1 102 0
	movl	$0, -12(%ebp)
	jmp	.L20
.L21:
	.loc 1 103 0
	movl	12(%ebp), %eax
	movl	%eax, 4(%esp)
	movl	-16(%ebp), %eax
	movl	%eax, (%esp)
	call	do_kill
	.loc 1 104 0
	movl	$0, 4(%esp)
	movl	$bip, (%esp)
	call	nanosleep
	.loc 1 105 0
	movl	12(%ebp), %eax
	movl	%eax, 4(%esp)
	movl	-16(%ebp), %eax
	movl	%eax, (%esp)
	call	do_kill
	.loc 1 106 0
	movl	12(%ebp), %eax
	movl	%eax, 4(%esp)
	movl	-16(%ebp), %eax
	movl	%eax, (%esp)
	call	do_kill
	.loc 1 102 0
	addl	$1, -12(%ebp)
.L20:
	cmpl	$4, -12(%ebp)
	jle	.L21
	.loc 1 109 0
	movl	$0, 4(%esp)
	movl	$bip, (%esp)
	call	nanosleep
	.loc 1 111 0
	movl	16(%ebp), %eax
	movl	%eax, 4(%esp)
	movl	-16(%ebp), %eax
	movl	%eax, (%esp)
	call	do_kill
	.loc 1 114 0
	movl	$0, 8(%esp)
	leal	-44(%ebp), %eax
	movl	%eax, 4(%esp)
	movl	-16(%ebp), %eax
	movl	%eax, (%esp)
	call	waitpid
	cmpl	-16(%ebp), %eax
	je	.L22
	.loc 1 115 0
	call	__errno_location
	movl	(%eax), %eax
	movl	%eax, (%esp)
	call	strerror
	movl	$.LC12, %ecx
	movl	stderr, %edx
	movl	%eax, 8(%esp)
	movl	%ecx, 4(%esp)
	movl	%edx, (%esp)
	call	fprintf
	jmp	.L30
.L22:
	.loc 1 117 0
	movl	-44(%ebp), %eax
	movl	$0, -40(%ebp)
	movl	%eax, -40(%ebp)
	movl	-40(%ebp), %eax
	andl	$127, %eax
	addl	$1, %eax
	sarb	%al
	testb	%al, %al
	jle	.L24
	movl	-44(%ebp), %eax
	movl	$0, -36(%ebp)
	movl	%eax, -36(%ebp)
	movl	-36(%ebp), %eax
	andl	$127, %eax
	cmpl	16(%ebp), %eax
	je	.L25
.L24:
.LBB4:
	.loc 1 120 0
	movl	-44(%ebp), %eax
	movl	$0, -32(%ebp)
	movl	%eax, -32(%ebp)
	movl	-32(%ebp), %eax
	andl	$127, %eax
	.loc 1 118 0
	testl	%eax, %eax
	jne	.L26
	.loc 1 120 0
	movl	-44(%ebp), %eax
	movl	$0, -28(%ebp)
	movl	%eax, -28(%ebp)
	movl	-28(%ebp), %eax
	andl	$65280, %eax
	.loc 1 118 0
	movl	%eax, %edx
	sarl	$8, %edx
	jmp	.L27
.L26:
	.loc 1 120 0
	movl	-44(%ebp), %eax
	movl	$0, -24(%ebp)
	movl	%eax, -24(%ebp)
	movl	-24(%ebp), %eax
	.loc 1 118 0
	movl	%eax, %edx
	andl	$127, %edx
.L27:
	.loc 1 119 0
	movl	-44(%ebp), %eax
	movl	$0, -20(%ebp)
	movl	%eax, -20(%ebp)
	movl	-20(%ebp), %eax
	andl	$127, %eax
	.loc 1 118 0
	testl	%eax, %eax
	jne	.L28
	movl	$.LC7, %eax
	jmp	.L29
.L28:
	movl	$.LC8, %eax
.L29:
	movl	$.LC13, %ebx
	movl	stderr, %ecx
	movl	%edx, 12(%esp)
	movl	%eax, 8(%esp)
	movl	%ebx, 4(%esp)
	movl	%ecx, (%esp)
	call	fprintf
.LBE4:
	.loc 1 117 0
	jmp	.L30
.L25:
	.loc 1 123 0
	movl	stderr, %eax
	movl	%eax, %edx
	movl	$.LC14, %eax
	movl	%edx, 12(%esp)
	movl	$7, 8(%esp)
	movl	$1, 4(%esp)
	movl	%eax, (%esp)
	call	fwrite
.L30:
	.loc 1 125 0
	addl	$84, %esp
	popl	%ebx
	.cfi_restore 3
	popl	%ebp
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE2:
	.size	test, .-test
.globl main
	.type	main, @function
main:
.LFB3:
	.loc 1 128 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	andl	$-16, %esp
	subl	$16, %esp
	.loc 1 129 0
	movl	$7, 8(%esp)
	movl	$11, 4(%esp)
	movl	$0, (%esp)
	call	test
	.loc 1 130 0
	movl	$1, 8(%esp)
	movl	$11, 4(%esp)
	movl	$0, (%esp)
	call	test
	.loc 1 131 0
	movl	$7, 8(%esp)
	movl	$10, 4(%esp)
	movl	$0, (%esp)
	call	test
	.loc 1 132 0
	movl	$1, 8(%esp)
	movl	$10, 4(%esp)
	movl	$0, (%esp)
	call	test
	.loc 1 133 0
	movl	$7, 8(%esp)
	movl	$11, 4(%esp)
	movl	$1, (%esp)
	call	test
	.loc 1 134 0
	movl	$1, 8(%esp)
	movl	$11, 4(%esp)
	movl	$1, (%esp)
	call	test
	.loc 1 135 0
	movl	$7, 8(%esp)
	movl	$10, 4(%esp)
	movl	$1, (%esp)
	call	test
	.loc 1 136 0
	movl	$1, 8(%esp)
	movl	$10, 4(%esp)
	movl	$1, (%esp)
	call	test
	.loc 1 138 0
	movl	$0, %eax
	.loc 1 139 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE3:
	.size	main, .-main
.Letext0:
	.file 2 "/usr/include/bits/types.h"
	.file 3 "/usr/include/time.h"
	.file 4 "/usr/lib/gcc/i686-redhat-linux/4.4.5/include/stddef.h"
	.file 5 "/usr/include/libio.h"
	.file 6 "/usr/include/stdio.h"
	.section	.debug_info
	.long	0x450
	.value	0x3
	.long	.Ldebug_abbrev0
	.byte	0x4
	.uleb128 0x1
	.long	.LASF63
	.byte	0x1
	.long	.LASF64
	.long	.LASF65
	.long	.Ltext0
	.long	.Letext0
	.long	.Ldebug_line0
	.uleb128 0x2
	.byte	0x4
	.byte	0x5
	.string	"int"
	.uleb128 0x3
	.byte	0x4
	.byte	0x7
	.long	.LASF0
	.uleb128 0x3
	.byte	0x4
	.byte	0x7
	.long	.LASF1
	.uleb128 0x3
	.byte	0x1
	.byte	0x8
	.long	.LASF2
	.uleb128 0x3
	.byte	0x2
	.byte	0x7
	.long	.LASF3
	.uleb128 0x3
	.byte	0x1
	.byte	0x6
	.long	.LASF4
	.uleb128 0x3
	.byte	0x2
	.byte	0x5
	.long	.LASF5
	.uleb128 0x3
	.byte	0x8
	.byte	0x5
	.long	.LASF6
	.uleb128 0x3
	.byte	0x8
	.byte	0x7
	.long	.LASF7
	.uleb128 0x4
	.long	.LASF8
	.byte	0x2
	.byte	0x38
	.long	0x56
	.uleb128 0x4
	.long	.LASF9
	.byte	0x2
	.byte	0x8d
	.long	0x7a
	.uleb128 0x3
	.byte	0x4
	.byte	0x5
	.long	.LASF10
	.uleb128 0x4
	.long	.LASF11
	.byte	0x2
	.byte	0x8e
	.long	0x64
	.uleb128 0x4
	.long	.LASF12
	.byte	0x2
	.byte	0x95
	.long	0x7a
	.uleb128 0x5
	.byte	0x4
	.uleb128 0x6
	.byte	0x4
	.long	0x9f
	.uleb128 0x3
	.byte	0x1
	.byte	0x6
	.long	.LASF13
	.uleb128 0x7
	.long	.LASF17
	.byte	0x8
	.byte	0x3
	.byte	0x79
	.long	0xcb
	.uleb128 0x8
	.long	.LASF14
	.byte	0x3
	.byte	0x7a
	.long	0x8c
	.sleb128 0
	.uleb128 0x8
	.long	.LASF15
	.byte	0x3
	.byte	0x7b
	.long	0x7a
	.sleb128 4
	.byte	0x0
	.uleb128 0x4
	.long	.LASF16
	.byte	0x4
	.byte	0xd3
	.long	0x2c
	.uleb128 0x9
	.long	0x9f
	.long	0xe6
	.uleb128 0xa
	.long	0x2c
	.byte	0x13
	.byte	0x0
	.uleb128 0xb
	.long	.LASF18
	.byte	0x94
	.byte	0x5
	.value	0x10f
	.long	0x27a
	.uleb128 0xc
	.long	.LASF19
	.byte	0x5
	.value	0x110
	.long	0x25
	.sleb128 0
	.uleb128 0xc
	.long	.LASF20
	.byte	0x5
	.value	0x115
	.long	0x99
	.sleb128 4
	.uleb128 0xc
	.long	.LASF21
	.byte	0x5
	.value	0x116
	.long	0x99
	.sleb128 8
	.uleb128 0xc
	.long	.LASF22
	.byte	0x5
	.value	0x117
	.long	0x99
	.sleb128 12
	.uleb128 0xc
	.long	.LASF23
	.byte	0x5
	.value	0x118
	.long	0x99
	.sleb128 16
	.uleb128 0xc
	.long	.LASF24
	.byte	0x5
	.value	0x119
	.long	0x99
	.sleb128 20
	.uleb128 0xc
	.long	.LASF25
	.byte	0x5
	.value	0x11a
	.long	0x99
	.sleb128 24
	.uleb128 0xc
	.long	.LASF26
	.byte	0x5
	.value	0x11b
	.long	0x99
	.sleb128 28
	.uleb128 0xc
	.long	.LASF27
	.byte	0x5
	.value	0x11c
	.long	0x99
	.sleb128 32
	.uleb128 0xc
	.long	.LASF28
	.byte	0x5
	.value	0x11e
	.long	0x99
	.sleb128 36
	.uleb128 0xc
	.long	.LASF29
	.byte	0x5
	.value	0x11f
	.long	0x99
	.sleb128 40
	.uleb128 0xc
	.long	.LASF30
	.byte	0x5
	.value	0x120
	.long	0x99
	.sleb128 44
	.uleb128 0xc
	.long	.LASF31
	.byte	0x5
	.value	0x122
	.long	0x2b2
	.sleb128 48
	.uleb128 0xc
	.long	.LASF32
	.byte	0x5
	.value	0x124
	.long	0x2b8
	.sleb128 52
	.uleb128 0xc
	.long	.LASF33
	.byte	0x5
	.value	0x126
	.long	0x25
	.sleb128 56
	.uleb128 0xc
	.long	.LASF34
	.byte	0x5
	.value	0x12a
	.long	0x25
	.sleb128 60
	.uleb128 0xc
	.long	.LASF35
	.byte	0x5
	.value	0x12c
	.long	0x6f
	.sleb128 64
	.uleb128 0xc
	.long	.LASF36
	.byte	0x5
	.value	0x130
	.long	0x41
	.sleb128 68
	.uleb128 0xc
	.long	.LASF37
	.byte	0x5
	.value	0x131
	.long	0x48
	.sleb128 70
	.uleb128 0xc
	.long	.LASF38
	.byte	0x5
	.value	0x132
	.long	0x2be
	.sleb128 71
	.uleb128 0xc
	.long	.LASF39
	.byte	0x5
	.value	0x136
	.long	0x2ce
	.sleb128 72
	.uleb128 0xc
	.long	.LASF40
	.byte	0x5
	.value	0x13f
	.long	0x81
	.sleb128 76
	.uleb128 0xc
	.long	.LASF41
	.byte	0x5
	.value	0x148
	.long	0x97
	.sleb128 84
	.uleb128 0xc
	.long	.LASF42
	.byte	0x5
	.value	0x149
	.long	0x97
	.sleb128 88
	.uleb128 0xc
	.long	.LASF43
	.byte	0x5
	.value	0x14a
	.long	0x97
	.sleb128 92
	.uleb128 0xc
	.long	.LASF44
	.byte	0x5
	.value	0x14b
	.long	0x97
	.sleb128 96
	.uleb128 0xc
	.long	.LASF45
	.byte	0x5
	.value	0x14c
	.long	0xcb
	.sleb128 100
	.uleb128 0xc
	.long	.LASF46
	.byte	0x5
	.value	0x14e
	.long	0x25
	.sleb128 104
	.uleb128 0xc
	.long	.LASF47
	.byte	0x5
	.value	0x150
	.long	0x2d4
	.sleb128 108
	.byte	0x0
	.uleb128 0xd
	.long	.LASF66
	.byte	0x5
	.byte	0xb4
	.uleb128 0x7
	.long	.LASF48
	.byte	0xc
	.byte	0x5
	.byte	0xba
	.long	0x2b2
	.uleb128 0x8
	.long	.LASF49
	.byte	0x5
	.byte	0xbb
	.long	0x2b2
	.sleb128 0
	.uleb128 0x8
	.long	.LASF50
	.byte	0x5
	.byte	0xbc
	.long	0x2b8
	.sleb128 4
	.uleb128 0x8
	.long	.LASF51
	.byte	0x5
	.byte	0xc0
	.long	0x25
	.sleb128 8
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0x281
	.uleb128 0x6
	.byte	0x4
	.long	0xe6
	.uleb128 0x9
	.long	0x9f
	.long	0x2ce
	.uleb128 0xa
	.long	0x2c
	.byte	0x0
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0x27a
	.uleb128 0x9
	.long	0x9f
	.long	0x2e4
	.uleb128 0xa
	.long	0x2c
	.byte	0x27
	.byte	0x0
	.uleb128 0xe
	.long	.LASF52
	.byte	0x1
	.byte	0x15
	.byte	0x1
	.long	.LFB0
	.long	.LFE0
	.byte	0x1
	.byte	0x9c
	.long	0x309
	.uleb128 0xf
	.string	"sig"
	.byte	0x1
	.byte	0x15
	.long	0x25
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.byte	0x0
	.uleb128 0xe
	.long	.LASF53
	.byte	0x1
	.byte	0x1c
	.byte	0x1
	.long	.LFB1
	.long	.LFE1
	.byte	0x1
	.byte	0x9c
	.long	0x39b
	.uleb128 0xf
	.string	"pid"
	.byte	0x1
	.byte	0x1c
	.long	0x25
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0xf
	.string	"sig"
	.byte	0x1
	.byte	0x1c
	.long	0x25
	.byte	0x2
	.byte	0x91
	.sleb128 4
	.uleb128 0x10
	.long	.LASF54
	.byte	0x1
	.byte	0x1e
	.long	0x25
	.byte	0x2
	.byte	0x91
	.sleb128 -52
	.uleb128 0x10
	.long	.LASF55
	.byte	0x1
	.byte	0x1f
	.long	0x25
	.byte	0x2
	.byte	0x91
	.sleb128 -24
	.uleb128 0x11
	.string	"ret"
	.byte	0x1
	.byte	0x20
	.long	0x25
	.byte	0x2
	.byte	0x91
	.sleb128 -20
	.uleb128 0x12
	.long	.LBB2
	.long	.LBE2
	.long	0x391
	.uleb128 0x10
	.long	.LASF56
	.byte	0x1
	.byte	0x2a
	.long	0xd6
	.byte	0x3
	.byte	0x91
	.sleb128 -72
	.uleb128 0x10
	.long	.LASF57
	.byte	0x1
	.byte	0x2b
	.long	0xd6
	.byte	0x3
	.byte	0x91
	.sleb128 -92
	.byte	0x0
	.uleb128 0x13
	.long	.LBB3
	.long	.LBE3
	.byte	0x0
	.uleb128 0xe
	.long	.LASF58
	.byte	0x1
	.byte	0x45
	.byte	0x1
	.long	.LFB2
	.long	.LFE2
	.byte	0x1
	.byte	0x9c
	.long	0x40d
	.uleb128 0x14
	.long	.LASF59
	.byte	0x1
	.byte	0x45
	.long	0x25
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x14
	.long	.LASF60
	.byte	0x1
	.byte	0x45
	.long	0x25
	.byte	0x2
	.byte	0x91
	.sleb128 4
	.uleb128 0x14
	.long	.LASF61
	.byte	0x1
	.byte	0x45
	.long	0x25
	.byte	0x2
	.byte	0x91
	.sleb128 8
	.uleb128 0x11
	.string	"pid"
	.byte	0x1
	.byte	0x47
	.long	0x25
	.byte	0x2
	.byte	0x91
	.sleb128 -24
	.uleb128 0x10
	.long	.LASF54
	.byte	0x1
	.byte	0x48
	.long	0x25
	.byte	0x2
	.byte	0x91
	.sleb128 -52
	.uleb128 0x11
	.string	"i"
	.byte	0x1
	.byte	0x49
	.long	0x25
	.byte	0x2
	.byte	0x91
	.sleb128 -20
	.uleb128 0x13
	.long	.LBB4
	.long	.LBE4
	.byte	0x0
	.uleb128 0x15
	.byte	0x1
	.long	.LASF67
	.byte	0x1
	.byte	0x7f
	.long	0x25
	.long	.LFB3
	.long	.LFE3
	.byte	0x1
	.byte	0x9c
	.uleb128 0x16
	.long	.LASF62
	.byte	0x6
	.byte	0xa7
	.long	0x2b8
	.byte	0x1
	.byte	0x1
	.uleb128 0x11
	.string	"bip"
	.byte	0x1
	.byte	0x13
	.long	0x441
	.byte	0x5
	.byte	0x3
	.long	bip
	.uleb128 0x17
	.long	0xa6
	.uleb128 0x16
	.long	.LASF62
	.byte	0x6
	.byte	0xa7
	.long	0x2b8
	.byte	0x1
	.byte	0x1
	.byte	0x0
	.section	.debug_abbrev
	.uleb128 0x1
	.uleb128 0x11
	.byte	0x1
	.uleb128 0x25
	.uleb128 0xe
	.uleb128 0x13
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x1b
	.uleb128 0xe
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x10
	.uleb128 0x6
	.byte	0x0
	.byte	0x0
	.uleb128 0x2
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0x8
	.byte	0x0
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.byte	0x0
	.byte	0x0
	.uleb128 0x4
	.uleb128 0x16
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x5
	.uleb128 0xf
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.byte	0x0
	.byte	0x0
	.uleb128 0x6
	.uleb128 0xf
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x7
	.uleb128 0x13
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x8
	.uleb128 0xd
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xd
	.byte	0x0
	.byte	0x0
	.uleb128 0x9
	.uleb128 0x1
	.byte	0x1
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xa
	.uleb128 0x21
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2f
	.uleb128 0xb
	.byte	0x0
	.byte	0x0
	.uleb128 0xb
	.uleb128 0x13
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xc
	.uleb128 0xd
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xd
	.byte	0x0
	.byte	0x0
	.uleb128 0xd
	.uleb128 0x16
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.byte	0x0
	.byte	0x0
	.uleb128 0xe
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xf
	.uleb128 0x5
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x10
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x11
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x12
	.uleb128 0xb
	.byte	0x1
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x13
	.uleb128 0xb
	.byte	0x0
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.byte	0x0
	.byte	0x0
	.uleb128 0x14
	.uleb128 0x5
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x15
	.uleb128 0x2e
	.byte	0x0
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x16
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3c
	.uleb128 0xc
	.byte	0x0
	.byte	0x0
	.uleb128 0x17
	.uleb128 0x26
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.byte	0x0
	.section	.debug_pubnames,"",@progbits
	.long	0x17
	.value	0x2
	.long	.Ldebug_info0
	.long	0x454
	.long	0x40d
	.string	"main"
	.long	0x0
	.section	.debug_pubtypes,"",@progbits
	.long	0x85
	.value	0x2
	.long	.Ldebug_info0
	.long	0x454
	.long	0x64
	.string	"__quad_t"
	.long	0x6f
	.string	"__off_t"
	.long	0x81
	.string	"__off64_t"
	.long	0x8c
	.string	"__time_t"
	.long	0xa6
	.string	"timespec"
	.long	0xcb
	.string	"size_t"
	.long	0x27a
	.string	"_IO_lock_t"
	.long	0x281
	.string	"_IO_marker"
	.long	0xe6
	.string	"_IO_FILE"
	.long	0x0
	.section	.debug_aranges,"",@progbits
	.long	0x1c
	.value	0x2
	.long	.Ldebug_info0
	.byte	0x4
	.byte	0x0
	.value	0x0
	.value	0x0
	.long	.Ltext0
	.long	.Letext0-.Ltext0
	.long	0x0
	.long	0x0
	.section	.debug_str,"MS",@progbits,1
.LASF8:
	.string	"__quad_t"
.LASF35:
	.string	"_old_offset"
.LASF37:
	.string	"_vtable_offset"
.LASF14:
	.string	"tv_sec"
.LASF30:
	.string	"_IO_save_end"
.LASF5:
	.string	"short int"
.LASF16:
	.string	"size_t"
.LASF40:
	.string	"_offset"
.LASF67:
	.string	"main"
.LASF26:
	.string	"_IO_buf_base"
.LASF52:
	.string	"handler"
.LASF31:
	.string	"_markers"
.LASF21:
	.string	"_IO_read_end"
.LASF55:
	.string	"killer"
.LASF62:
	.string	"stderr"
.LASF6:
	.string	"long long int"
.LASF56:
	.string	"sigbuf"
.LASF39:
	.string	"_lock"
.LASF10:
	.string	"long int"
.LASF36:
	.string	"_cur_column"
.LASF59:
	.string	"block"
.LASF50:
	.string	"_sbuf"
.LASF18:
	.string	"_IO_FILE"
.LASF2:
	.string	"unsigned char"
.LASF65:
	.string	"/root/genprog-many-bugs/valgrind-bug-12474-12475/valgrind/none/tests"
.LASF15:
	.string	"tv_nsec"
.LASF4:
	.string	"signed char"
.LASF7:
	.string	"long long unsigned int"
.LASF0:
	.string	"unsigned int"
.LASF48:
	.string	"_IO_marker"
.LASF38:
	.string	"_shortbuf"
.LASF11:
	.string	"__off64_t"
.LASF23:
	.string	"_IO_write_base"
.LASF47:
	.string	"_unused2"
.LASF57:
	.string	"pidbuf"
.LASF51:
	.string	"_pos"
.LASF27:
	.string	"_IO_buf_end"
.LASF54:
	.string	"status"
.LASF13:
	.string	"char"
.LASF53:
	.string	"do_kill"
.LASF49:
	.string	"_next"
.LASF41:
	.string	"__pad1"
.LASF42:
	.string	"__pad2"
.LASF43:
	.string	"__pad3"
.LASF44:
	.string	"__pad4"
.LASF45:
	.string	"__pad5"
.LASF61:
	.string	"fatalsig"
.LASF58:
	.string	"test"
.LASF64:
	.string	"async-sigs.c"
.LASF3:
	.string	"short unsigned int"
.LASF1:
	.string	"long unsigned int"
.LASF24:
	.string	"_IO_write_ptr"
.LASF25:
	.string	"_IO_write_end"
.LASF12:
	.string	"__time_t"
.LASF17:
	.string	"timespec"
.LASF9:
	.string	"__off_t"
.LASF32:
	.string	"_chain"
.LASF29:
	.string	"_IO_backup_base"
.LASF34:
	.string	"_flags2"
.LASF46:
	.string	"_mode"
.LASF22:
	.string	"_IO_read_base"
.LASF63:
	.string	"GNU C 4.4.5 20101112 (Red Hat 4.4.5-2)"
.LASF28:
	.string	"_IO_save_base"
.LASF33:
	.string	"_fileno"
.LASF20:
	.string	"_IO_read_ptr"
.LASF60:
	.string	"caughtsig"
.LASF19:
	.string	"_flags"
.LASF66:
	.string	"_IO_lock_t"
	.ident	"GCC: (GNU) 4.4.5 20101112 (Red Hat 4.4.5-2)"
	.section	.note.GNU-stack,"",@progbits
